A program fault has been recorded in the log
Home arrow Forum

Remository Forum

 


gnostic

Karma: 1  
Estimate for Joomla 1.6 availability - 2010/08/23 16:06 Now that Joomla 1.6 is moving close to RC, we are preparing to do a major site renovation including moving to Joomla 1.6. Glossary is a key component for us. Would you please let us know if there is any estimated delivery for Glossary for Joomla 1.6? (weeks, months, years). Any information will help us in our development. Thanks!

Post edited by: gnostic, at: 2010/08/23 16:06
See a 1000 word glossary at Gnostic Teachings
  | | Sorry, you do not currently have permission to write here.
chrissy6930

Karma: 27  
Re:Estimate for Joomla 1.6 availability - 2010/08/24 04:41 I would think that won't happen unless J!1.6 is available as stable release
  | | Sorry, you do not currently have permission to write here.
ghazwan.anjo@gmail.com

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2011/06/15 20:36 It is Joomla 1.6.3 now?
when we will have Glossary working in the new joomla.
  | | Sorry, you do not currently have permission to write here.
elisa

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2011/08/07 21:25 Hello! Also would be glad to know when it will be available for J 1.6 / 1.7 Thanks!
  | | Sorry, you do not currently have permission to write here.
turminator

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2011/08/22 14:12 I also interested to Joomla 1.7 version. I think that Glossary is the best Glossary component that exists for Joomla, for this I'm very happy that we can continue using it with Joomla updates core.

Many thanks!
  | | Sorry, you do not currently have permission to write here.
onderzoekspraktijk

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2011/09/12 13:07 Hi Martin,

I can only add my voice to this chorus asking "When will there become a glossary component available that works in joomla 1.7?"

It works so well in the joomla 1.5 site! The site I am upgrading to 1.7 because Joomla 1.7 promises multi-language, ACL and whatnot.

Thank you for your service in the years before now, and I do hope you can and will invest your hours and expertise for this new version of Glossary.

best regards,
Paul
  | | Sorry, you do not currently have permission to write here.
admin

Karma: 112  
Re:Estimate for Joomla 1.6 availability - 2011/09/16 18:04 I'm working on it, but Joomla isn't really a nice development environment Martin Brampton aka Counterpoint
http://aliro.org
http://black-sheep-research.com
  | | Sorry, you do not currently have permission to write here.
onderzoekspraktijk

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2011/09/19 23:51 Hi,

Well: you could ask some money for downloading it. Others do; and get paid, somewhat at least.

I am not qualified to judge the quality of joomla code. I did read that some code conundrums and errors are sifted out in J1.7. I also heard people whose competency I trust talk of the great potentials of Nooku. So perhaps it won't be so bad after all or you could use the frame mr Janssen made.

I do see that you coded glossary for J1.5, and that there is only one alternative left now with comparable functionality in J1.5 and nil for J1.7, for now.
For remository the field is almost the same: only two contenders left for now!
I do hope you carry on!

Paul
  | | Sorry, you do not currently have permission to write here.
sescha

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2011/11/08 21:02 Hi, any news on Glossary for Joomla 1.7?
There are currently no alternatives whatsoever for Joomla 1.6/1.7, no glossary extensions at all, neither free or commercial.
On the other hand, for developers like me it does not make much sense to keep creating new sites with J 1.5.23, as very soon this version will be not longer supported (and current / upcoming extensions are less likely to support it in the future).
So I need to start new sites with the current Joomla version 1.7.x and keep hoping that you will finish a beta for Glossary very soon! My clients need it very much
Would also be willing to donate if it helps speeding up the process. Just let me know.
A rough time estimate would also be very much appreciated.

Thanks, take care,
Sebastian
  | | Sorry, you do not currently have permission to write here.
Thosi

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2011/11/14 10:45 Hi Martin,
Got the same problem now as everybody here. Just builded a whole page with 1.7.2 and now the client asks for a glossary!
So I have 2 possibilities:
- Rebuild the site in 1.5
- Waiting
It would be kind if you could give a brief estimate about this.
I am also willing to donate, just let me know.
Why don't you make this a commercial extension?

Thanks Thosi
  | | Sorry, you do not currently have permission to write here.
gnostic

Karma: 1  
Re:Estimate for Joomla 1.6 availability - 2011/11/18 20:59 Same here. This is such an important tool for us we would be happy to financially support its development. See a 1000 word glossary at Gnostic Teachings
  | | Sorry, you do not currently have permission to write here.
admin

Karma: 112  
Re:Estimate for Joomla 1.6 availability - 2011/11/19 22:34 I'm working on finding a solution - although it will probably cost me quite a lot of money as I don't have time to do the work myself right now. Martin Brampton aka Counterpoint
http://aliro.org
http://black-sheep-research.com
  | | Sorry, you do not currently have permission to write here.
stmatth

Karma: 2  
Re:Estimate for Joomla 1.6 availability - 2012/01/09 14:45 I'm not really sure I can suggest something useful. Is there anything we can do to help move Glossary forward to a new version? Can you ask for volunteer coders on one of the Joomla forums, for example?

How much work is needed for 1.6/1.7, how much has the extension framework changed? Is it complicated, i.e. does it need a deep understanding of Joomla internals and a complete rework of the code, or just some modifications that people with average php knowledge can handle?

Other than that, I can also only reiterate what others have said: It would be good to have a new version, as J2.5 comes out this month, and 1.5 may no longer be supported from April 2012. Some other extensions are already only available for >1.6.

So time is running out. I can keep old sites on 1.5 for a while, but new sites I really have to set up in 1.7/2.5 now.
Stephan Matthiesen - Science-Texts: editorial team for scientific texts
  | | Sorry, you do not currently have permission to write here.
admin

Karma: 112  
Re:Estimate for Joomla 1.6 availability - 2012/01/09 14:58 My aim is to pull out the CMS interface layer that is currently in Glossary and make it a stand alone entity. Remository has a similar CMS interface layer, but it is less developed than the one in Glossary. But moving Remository to the current Glossary approach is impossible without making the two pieces of software incompatible - which is one of the key reasons for pulling out the interface as a separate entity.

The interface layer does exist as a plugin for Joomla 1.5 and is in live use by some clients, who are also using a pilot version of Remository.

It is the conversion of the plugin for Joomla 2.5 that is the stumbling block. (I'm not really aiming to support 1.6 or 1.7 for Glossary - 1.6 is not safe and 1.7 will be superseded by 2.5 very soon). It does need a high level of PHP skill and also an understanding of Joomla internals. I'm committed to getting this development done one way or another, but right this minute workload/cash flow prevent me from moving forwards. I expect this to change fairly soon, but wouldn't like to give a date.

Then it will be feasible to create new versions of Glossary and Remository, and possibly other applications.
Martin Brampton aka Counterpoint
http://aliro.org
http://black-sheep-research.com
  | | Sorry, you do not currently have permission to write here.
turminator

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2012/01/09 15:27 I'm very interested that in future Joomla users can use Glossary component with more updated Joomla versions.

I'm not developer, but I follow many Joomla articles and all of this says that every more number of extensions created for joomla 1.6/1.7 will be compatible with Joomla 2.5 version.

Many thanks for this great project and I hope that maybe in a litthe future you can offer some new Glossary version (free or maybe with some quote).
  | | Sorry, you do not currently have permission to write here.
freeme

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2012/01/11 10:33 turminator wrote:
I'm very interested that in future Joomla users can use Glossary component with more updated Joomla versions.

I'm not developer, but I follow many Joomla articles and all of this says that every more number of extensions created for joomla 1.6/1.7 will be compatible with Joomla 2.5 version.

Many thanks for this great project and I hope that maybe in a litthe future you can offer some new Glossary version (free or maybe with some quote).


I can only fully agree to this - Glossary is a very cool and usefull component. It would be fantastic to see it running on Joomla 2.5 - free or maybe with some quote!

Cheers
  | | Sorry, you do not currently have permission to write here.
KimH

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2012/03/08 12:28 Agree with other comments here that we'd contribute something to the upgrade if it helped to get some time allocated to it. We use Glossary on one of our sites with over 1500 entries and would like to start planning a 2.5 move for the site...any news or updates gratefully received.
  | | Sorry, you do not currently have permission to write here.
paolod

Karma: 1  
Re:Estimate for Joomla 1.6 availability - 2012/04/10 07:57 I'd also like and know, when a J! 1.6/1.7/2.5 Glossary version will be available...
  | | Sorry, you do not currently have permission to write here.
paolod

Karma: 1  
Re:Estimate for Joomla 1.6 availability - 2012/04/20 10:36 paolod wrote:
I'd also like and know, when a J! 1.6/1.7/2.5 Glossary version will be available...

Hello Martin,
I strongly believe time spent to discuss, can also be profitably employed...
I tried and install Glossary 2.76 over Joomla! 2.5.3.
First error I get during installation is, in /administrator/components/com_glossary/cmsapi.joomla.integrated.php, on line 30, you can't access JInstallerComponent::$manifest; now, it's a protected property.

I strongly believe this is related to install.glossary.php script and the new, 5-methods way you've and write an installation script (see http://docs.joomla.org/What%27s_new_in_Joomla_1.6#New_installation_script), but of course, I'd like your opinion...
  | | Sorry, you do not currently have permission to write here.
paolod

Karma: 1  
Re:Estimate for Joomla 1.6 availability - 2012/04/20 10:36 paolod wrote:
I'd also like and know, when a J! 1.6/1.7/2.5 Glossary version will be available...

Hello Martin,
I strongly believe time spent to discuss, can also be profitably employed...
I tried and install Glossary 2.76 over Joomla! 2.5.3.
First error I get during installation is, in /administrator/components/com_glossary/cmsapi.joomla.integrated.php, on line 30, you can't access JInstallerComponent::$manifest; now, it's a protected property.

I strongly believe this is related to install.glossary.php script and the new, 5-methods way you've and write an installation script (see http://docs.joomla.org/What%27s_new_in_Joomla_1.6#New_installation_script), but of course, I'd like your opinion...

See also http://docs.joomla.org/Adapting_a_Joomla_1.5_extension_to_Joomla_1.6

Post edited by: paolod, at: 2012/04/20 10:37
  | | Sorry, you do not currently have permission to write here.
paolod

Karma: 1  
Re:Estimate for Joomla 1.6 availability - 2012/04/20 11:15 I tried and rewrite glossary_install.xml file, as suggested in http://docs.joomla.org/Manifest_files
Work done is in attachment; in particular, I replaced tag with one.
Now, I get a completely different error:

Code:

 Warning: include_once(C:\xampp\htdocs\joomla253/plugins/cmsapi/plgCmsapiLoad.php) [function.include-once]: failed to open streamNo such file or directory in C:\xampp\htdocs\joomla253\tmp\install_4f913539e0a9a\install.glossary.php on line 26 Warning: include_once() [function.include]: Failed opening 'C:\xampp\htdocs\joomla253/plugins/cmsapi/plgCmsapiLoad.php' for inclusion (include_path='.;C:\xampp\php\PEAR'in C:\xampp\htdocs\joomla253\tmp\install_4f913539e0a9a\install.glossary.php on line 26




Hope this can help.
File Attachment:
File name: glossary_install.xml
File size:5310 bytes


Post edited by: paolod, at: 2012/04/20 11:17

Post edited by: paolod, at: 2012/04/20 11:18
  | | Sorry, you do not currently have permission to write here.
Linked-central

Karma: 0  
Glossary for Joomla 2.5 - 2012/05/31 09:40 Hi,

I found a component similar to Glossary but for Joomla 2.5 but it's a commercial one. I've never tried it but seem to have good reviews.

See here:
http://extensions.joomla.org/extensions/directory-a-documentation/glossary/20448

Hope this help, please let me know if you've tried it!

Tchao.
  | | Sorry, you do not currently have permission to write here.
paolod

Karma: 1  
Re:Glossary for Joomla 2.5 - 2012/05/31 11:54 Ehy, functionally speaking, this is Glossary with a $price more!
  | | Sorry, you do not currently have permission to write here.
turminator

Karma: 0  
Re:Glossary for Joomla 2.5 - 2012/05/31 14:34 I think that this is a clone of Remository GLossary. I don't know if Martin, knows it.
  | | Sorry, you do not currently have permission to write here.
JosephSon

Karma: 0  
Re:Estimate for Joomla 1.6 availability - 2016/08/10 17:31 admin wrote:
My aim is to pull out the CMS interface layer that is currently in Glossary and make it a stand alone entity. Remository has a similar CMS interface layer, but it is less developed than the one in Glossary. But moving Remository to the current Glossary approach is impossible without making the two pieces of software incompatible - which is one of the key reasons for pulling out the interface as a separate entity.

The interface layer does exist as a plugin for Joomla 1.5 and is in live use by some clients, who are also using a pilot version of Remository.

It is the conversion of the plugin for Joomla 2.5 that is the stumbling block. (I'm not really aiming to support 1.6 or 1.7 for Glossary - 1.6 is not safe and 1.7 will be superseded by 2.5 very soon). It does need a high level of PHP skill and also an understanding phenq for losing weight. I'm committed to getting this development done one way or another, but right this minute workload/cash flow prevent me from moving forwards. I expect this to change fairly soon, but wouldn't like to give a date.

Then it will be feasible to create new versions of Glossary and Remository, and possibly other applications.


it would be great if you could do this. Then this technology will have chance to be adopted by more programmers. there is a specific group who are fan and prefer choosing this trial version. All interested people are ready to contribute.

Post edited by: JosephSon, at: 2016/09/19 03:16
  | | Sorry, you do not currently have permission to write here.

Save FM Radio

Login

Subscribe to Premium Support

Get priority support for Remository and Glossary, sign up now for a Premium Support monthly subscription:

Your Remository user name

Or purchase a year's support:

Your Remository user name

Who is Online

Remository welcomes guests and visitors

We have 2 guest online

Real Time Web Analytics